How do I change the slant of text for Piping Annotation in AutoPLANT P&ID?


  
 Applies To 
  
 Product(s):AutoPLANT P&ID
 Version(s):V8i
 Environment: N\A
 Area: N\A
 Subarea: N\A
 Original Author:Brandon Moberg, Bentley Product Advantage Group
  

1. Open the Pid-Sup.lsp File.
2. Search for the Text Styles section and modify the textstyle name to your custom default name.
3. To modify the angle (oblique) default to an angle other than 0 for custom annotation add the following section in the Pid-Sup.lsp file:

Search for Drawing Initialization. Add the following just above this section.

(defun make_text (align pt ang tstr lyr style ht width )
(setq style (if style style (if txtstyle txtstyle "standard")))
(setq obang (if obang obang 0.26)) ;;;;NOTE THIS IS THE ANGLE VALUE CALCULATED. THIS EQUALS 15 DEGREE ANGLE.
(entmake (list '(0 . "text")
(cons 1 tstr)
(cons 7 style)
(cons 8 (if lyr lyr (getvar "clayer")))
'(10 0 0 0)
(cons 11 (if pt pt (@)))
(cons 40 (if ht ht (getvar "textsize")))
(cons 50 (if ang ang 0.0))
(cons 51 obang)
(if width (cons 41 width) (assoc 41 (tblsearch "style" style)) )
(cons 72 align) ; 1-center,4-middle
)
)
(entlast)
)